%define upstream_name	 Acme-MetaSyntactic
%define upstream_version 1.015

%global __requires_exclude perl\\(Win32::Locale

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generates themed metasyntactic variables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Acme::MetaSyntactic is a perl module to generate good (as well as funny)
metasyntactic variable names. It provides several variable themes, from the
usual "foo" "bar" list, to the fight sound effects from the Batman 60s TV
serial.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f t/33locale_win32.t t/pod.t
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.15.0-2.mga9
+ Revision: 1814331
- Mageia 9 Mass Rebuild

* Sun Apr 04 2021 tv <tv> 1.15.0-1.mga9
+ Revision: 1713152
- update to 1.015

* Wed Feb 12 2020 umeabot <umeabot> 1.14.0-3.mga8
+ Revision: 1503387
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.14.0-2.mga7
+ Revision: 1281542
- Mageia 7 Mass Rebuild

* Sat Nov 11 2017 tv <tv> 1.14.0-1.mga7
+ Revision: 1176899
- update to 1.014

* Mon Oct 02 2017 tv <tv> 1.13.0-3.mga7
+ Revision: 1162755
- rebuild with fixed rpm for missing autodeps

* Mon Aug 07 2017 shlomif <shlomif> 1.13.0-2.mga7
+ Revision: 1138663
- avoid requiring Win32::Locale.

* Mon Aug 07 2017 shlomif <shlomif> 1.13.0-1.mga7
+ Revision: 1138520
- New version 1.013

* Sat Jun 18 2016 pterjan <pterjan> 1.12.0-6.mga6
+ Revision: 1022183
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.12.0-5.mga6
+ Revision: 948789
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.12.0-4.mga5
+ Revision: 788422
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.12.0-3.mga5
+ Revision: 744448
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12.0-2.mga5
+ Revision: 683425
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 shlomif <shlomif> 1.12.0-1.mga5
+ Revision: 583827
- update to 1.012

* Mon Oct 21 2013 umeabot <umeabot> 1.11.0-2.mga4
+ Revision: 536978
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.11.0-1.mga4
+ Revision: 486047
- update to 1.011

* Mon Aug 12 2013 sander85 <sander85> 1.10.0-1.mga4
+ Revision: 465839
- update to 1.010

* Mon Jun 03 2013 jquelin <jquelin> 1.8.0-1.mga4
+ Revision: 436543
- update to 1.008

* Sun Jan 13 2013 umeabot <umeabot> 1.7.0-2.mga3
+ Revision: 362810
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 1.7.0-1.mga3
+ Revision: 306057
- update to 1.007

* Wed Aug 29 2012 kharec <kharec> 1.6.0-1.mga3
+ Revision: 285070
- update to 1.006

* Wed Jul 04 2012 jquelin <jquelin> 1.4.0-1.mga3
+ Revision: 267264
- update to 1.004

* Mon Jun 18 2012 kharec <kharec> 1.3.0-1.mga3
+ Revision: 261488
- update to 1.003

* Wed Jun 06 2012 jquelin <jquelin> 1.2.0-1.mga3
+ Revision: 256119
- update to 1.002

* Sun Jan 23 2011 jquelin <jquelin> 0.990.0-1.mga1
+ Revision: 33721
- remove win32 test
- mageia rebuild
- imported package perl-Acme-MetaSyntactic


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.990.0-1mdv2010.0
+ Revision: 406833
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.99-4mdv2009.0
+ Revision: 255258
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.99-2mdv2008.1
+ Revision: 136656
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.99-2mdv2008.0
+ Revision: 90051
- rebuild


* Sat Nov 18 2006 Olivier Thauvin <nanardon@mandriva.org> 0.99-1mdv2007.0
+ Revision: 85426
- 0.99

* Mon Sep 04 2006 Olivier Thauvin <nanardon@mandriva.org> 0.89-1mdv2007.0
+ Revision: 59683
- 0.89

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.85-1mdv2007.0
+ Revision: 53695
- 0.85
- Import perl-Acme-MetaSyntactic

* Thu Aug 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-1mdv2007.0
- New version 0.84

* Sat Jul 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.80-1mdv2007.0
- New version 0.80

* Thu Jun 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.79-1mdv2007.0
- New version 0.79
- better source URL

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.78-1mdv2007.0
- New version 0.78

* Thu Jun 08 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.77-1mdv2007.0
- New release 0.77

* Wed May 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.76-1mdv2007.0
- New release 0.76

* Sun May 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.75-1mdk
- New release 0.75

* Tue May 09 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.72-1mdk
- New release 0.72

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.71-1mdk
- New release 0.71

* Fri Apr 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-1mdk
- New release 0.69
- better source URL
- better buildrequires syntax

* Tue Apr 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.68-1mdk
- New release 0.68
- fix directory ownership

* Mon Mar 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.65-1mdk
- 0.65

* Mon Feb 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.61-1mdk
- 0.61

* Mon Jan 30 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.59-1mdk
- 0.59

* Tue Jan 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.55-1mdk
- New release 0.55

* Fri Dec 16 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.52-1mdk
- 0.52
- Add BuildRequire

* Mon Dec 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.51-1mdk
- 0.51

* Mon Oct 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.46-1mdk
- 0.46

* Tue Oct 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.42-1mdk
- 0.42

* Sat Sep 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.40-1mdk
- 0.40

* Fri Aug 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.35-1mdk
- 0.35

* Tue Aug 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.33-1mdk
- 0.33

* Tue Jul 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.31-1mdk
- 0.31

* Tue Jun 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.28-1mdk
- 0.28

* Fri Jun 17 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.26-1mdk
- New release 0.26

* Tue Jun 07 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.24-1mdk
- New release 0.24

* Sat May 28 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.23-1mdk
- 0.23

* Tue May 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.22-1mdk
- 0.22

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.20-1mdk
- 0.20

* Tue Apr 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.19-1mdk
- 0.19

* Mon Mar 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.13-1mdk
- 0.13

* Thu Feb 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.09-1mdk
- 0.09

* Mon Jan 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.07-1mdk
- 0.07

* Mon Jan 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.05-1mdk
- Initial MDK release.

